using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{
    [Table("DoctorDictionary")]
    public partial class DoctorDictionary : Entity
    {
        [JsonIgnore]
        [ForeignKey("DoctorId")]
        public  Doctor Doctor { get; set; }

        [JsonIgnore]
        [ForeignKey("DictionaryId")]
        public  Dictionary Dictionary { get; set; }

        [StringLength(50)]
        public string KeyName { get; set; } = string.Empty;

        public Guid DoctorId { get; set; }

        public Guid DictionaryId { get; set; }
    }
}
